# document.h File Reference

## Classes
class | xmlpp::Document
| Represents an XML document in the DOM model. More...
class | xmlpp::Document::Document::Init
## Namespaces
namespace | xmlpp
## Enumerations
enum | xmlpp::XmlEntityType { xmlpp::XML_INTERNAL_GENERAL_ENTITY = 1, xmlpp::XML_EXTERNAL_GENERAL_PARSED_ENTITY = 2, xmlpp::XML_EXTERNAL_GENERAL_UNPARSED_ENTITY = 3, xmlpp::XML_INTERNAL_PARAMETER_ENTITY = 4, xmlpp::XML_EXTERNAL_PARAMETER_ENTITY = 5, xmlpp::XML_INTERNAL_PREDEFINED_ENTITY = 6 }